bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Please remove EUballot redirects in apache configs

VERIFIED FIXED

Status

Infrastructure & Operations Graveyard
WebOps: Product Delivery
VERIFIED FIXED
5 years ago
2 years ago

People

(Reporter: rail, Assigned: cturra)

Tracking

Details

(Reporter)

Description

5 years ago
Please remove apache redirects for euballot products added in bug 939273 - the updated bouncer supports product aliases and we won't bother you anymore with this! :)

It would be great to have someone from Releng around to watch the links

FTR,

$ curl -sIL "http://download.mozilla.org/?product=firefox-latest-euballot&os=win&lang=en-GB&force=1"
HTTP/1.1 302 Found
Server: Apache
X-Backend-Server: bouncer3.webapp.phx1.mozilla.com
Content-Type: text/html; charset=iso-8859-1
Date: Fri, 29 Nov 2013 18:54:59 GMT
Location: http://download-eu.mozilla.org/?product=firefox-25.0.1-euballot&os=win&lang=en-GB&force=1
Transfer-Encoding: chunked
Connection: Keep-Alive
X-Cache-Info: not cacheable; response is 302 without expiry time

HTTP/1.1 302 Found
Server: Apache
X-Backend-Server: bouncer3.webapp.phx1.mozilla.com
Cache-Control: max-age=15
Content-Type: text/html; charset=UTF-8
Date: Fri, 29 Nov 2013 18:55:00 GMT
Location: http://download-installer.cdn.mozilla.net/pub/firefox/releases/25.0.1/win32-EUballot/en-GB/Firefox%20Setup%2025.0.1.exe
Transfer-Encoding: chunked
Connection: Keep-Alive
Set-Cookie: dmo=10.8.81.219.1385751300201229; path=/; expires=Sat, 29-Nov-14 18:55:00 GMT
X-Cache-Info: caching

HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: ftp4.dmz.scl3.mozilla.com
Content-Type: application/octet-stream
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
ETag: "1011c66-1616c80-4eb152cd77180"
Last-Modified: Wed, 13 Nov 2013 20:54:46 GMT
Content-Length: 23161984
X-Cache-Info: cached
Cache-Control: max-age=351735
Expires: Tue, 03 Dec 2013 20:37:15 GMT
Date: Fri, 29 Nov 2013 18:55:00 GMT
Connection: keep-alive
(Assignee)

Comment 1

5 years ago
i am happy to make this change. is this something i should wait until monday on for folks in releng to be around? if there is someone available to watch today, just let me know.
Assignee: server-ops-webops → cturra
Flags: needinfo?(rail)
(Reporter)

Comment 2

5 years ago
replied on IRC, on it
Flags: needinfo?(rail)
(Assignee)

Comment 3

5 years ago
as discussed on irc, i have committed this change to puppet and it should be available shortly. please let me know know the testing progresses.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Reporter)

Comment 4

5 years ago
\o/ no more redirects and HTTP is 200

$ curl -sIL "http://download.mozilla.org/?product=firefox-latest-euballot&os=win&lang=en-GB&force=1"
HTTP/1.1 302 Found
Server: Apache
X-Backend-Server: bouncer6.webapp.phx1.mozilla.com
Cache-Control: max-age=15
Content-Type: text/html; charset=UTF-8
Date: Fri, 29 Nov 2013 20:23:11 GMT
Location: http://download-installer.cdn.mozilla.net/pub/firefox/releases/25.0.1/win32-EUballot/en-GB/Firefox%20Setup%2025.0.1.exe
Transfer-Encoding: chunked
Connection: Keep-Alive
Set-Cookie: dmo=10.8.81.218.1385756591702838; path=/; expires=Sat, 29-Nov-14 20:23:11 GMT
X-Cache-Info: caching

HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: ftp4.dmz.scl3.mozilla.com
Content-Type: application/octet-stream
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
ETag: "1011c66-1616c80-4eb152cd77180"
Last-Modified: Wed, 13 Nov 2013 20:54:46 GMT
Content-Length: 23161984
X-Cache-Info: cached
Cache-Control: max-age=346444
Expires: Tue, 03 Dec 2013 20:37:15 GMT
Date: Fri, 29 Nov 2013 20:23:11 GMT
Connection: keep-alive
Status: RESOLVED → VERIFIED
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.